//
//  POImageTextFieldCell.h
//  Fontcase
//
//  Created by Pieter Omvlee on 5/31/08.
//  Copyright 2008 Bohemian Coding. All rights reserved.
//

#import <Cocoa/Cocoa.h>

/*!
 * @class CHImageTextFieldCell
 * @abstract a subclass of NSTextFieldCell which can optionally display an image on the left
 */
@interface CHImageTextFieldCell : NSTextFieldCell {
  NSImage *icon;
}
/*!
 * @method icon (property)
 * @abstract Sets the icon for the cell
 */
@property (retain) NSImage *icon;
@end
