//
//  RoundedView.h
//  CoreImage
//
//  Created by Pieter Omvlee on 16-11-06.
//  Copyright 2006 GetDrawIt. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <Chocolat/Chocolat.h>

#import "MSFilterController.h"

@class MSFilter;

@interface MSFilterView : NSView
{
  MSFilter *filter; //filter dat deze view bezit
  
  int dragOffsetY;
  int oldIndex; //vlak voor draggen
  int oldCount; //vlak voor draggen
  
  BOOL supportsDragging;
}
@property BOOL supportsDragging;

- (MSFilter *)filter;
- (void)setFilter:(MSFilter *)aValue;

- (int)midY;
- (int)indexNumber;
@end

@interface MSFilterView (Private)
- (BOOL)selected;
- (BOOL)previousSelected;
- (BOOL)nextSelected;
- (BOOL)isCollapsed;
- (BOOL)isFirst;
- (BOOL)isLast;
@end